Name:          Red_Hat_Enterprise_Linux-Release_Notes-6-gu-IN
Version:       8
Release:       1%{?dist}
Summary:      Gujarati translation of Red_Hat_Enterprise_Linux-Release_Notes-6
Summary(gu-IN):       Red Hat Enterprise Linux 6 માટે પ્રકાશન નોંધો
Group:         Documentation
License:       CC-BY-SA
URL:           https://fedorahosted.org/publican
Source:        %{name}-%{version}-1.tgz
BuildArch:      noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: publican >= 2.0
BuildRequires: desktop-file-utils
BuildRequires: publican-redhat
Requires:      xdg-utils
Provides:      Red_Hat_Enterprise_Linux-Release_Notes-6-gu_IN = %{version}-%{release}

%description
Gujarati translation of Red_Hat_Enterprise_Linux-Release_Notes-6

%description -l gu-IN


%prep
%setup -q

%build
publican build --nocolours --formats="html-desktop" --langs=gu-IN --publish

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps

cp gu-IN/images/icon.svg  $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-gu-IN.svg;


cat > Red_Hat_Enterprise_Linux-Release_Notes-6-gu-IN-8.desktop <<'EOF'
[Desktop Entry]
Name=Red Hat Enterprise Linux 6 માટે પ્રકાશન નોંધો
Comment=Red Hat Enterprise Linux 6 માટે પ્રકાશન નોંધો
Exec=xdg-open %{_docdir}/Red_Hat_Enterprise_Linux-Release_Notes-6-gu-IN-%{version}/index.html
Icon=Red_Hat_Enterprise_Linux-Release_Notes-6-gu-IN
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications Red_Hat_Enterprise_Linux-Release_Notes-6-gu-IN-8.desktop

# Update Icon cache if it exists
%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc tmp/gu-IN/html-desktop/*
/usr/share/icons/hicolor/scalable/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-gu-IN.svg
%{_datadir}/applications/Red_Hat_Enterprise_Linux-Release_Notes-6-gu-IN-8.desktop

%changelog
* Thu Mar 10 2016 Radek Bíba <rbiba@redhat.com> - 8-1
- From now on, we use version-agnostic boilerplate text with a link to the online document. 

